pango-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Holds the overall metric information for a font (possibly restricted to a script). System.ValueType
- Method
  System.Void Decreases the reference count of a font metrics structure. If the result is zero, frees the structure and any associated memory.
- Method
  Pango.FontMetrics Increases the reference count of a font metrics structure. an object of type
- Property
  System.Int32 The approximate character width for a font metrics structure. the character width, in pango units. This is merely a representative value useful, for example, for determining the initial size for a window. Actual characters in text will be wider and narrower than this.
- Property
  System.Int32 The ascent from a font metrics structure. the ascent, in pango units. The ascent is the distance from the baseline to the logical top of a line of text. (The logical top may be above or below the top of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)
- Property
  System.Int32 The approximate digit width for a font metrics structure. the digit width, in pango units. This is merely a representative value useful, for example, for determining the initial size for a window. Actual digits in text can be wider and narrower than this.
- Property
  System.Int32 The descent from a font metrics structure. the descent, in pango units. The descent is the distance from the baseline to the logical bottom of a line of text. (The logical bottom may be above or below the bottom of the actual drawn ink. It is necessary to lay out the text to figure where the ink will be.)
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Internal constructor
  a
  a
  This is an internal constructor, and should not be used by user code.